import Api from "~/service/Api"
import Pts from "../Common/Pts"

export default class Letcan{
    constructor () {
        this.data = {
						letp0:{
							recget:{
								sdamod:{
									dadsnd:"",			//  Drag  Drop Sender		.letp0.recget.sdamod.dadsnd
								},
							},
							aammod:{
								addamtflg:"",			//  Add. Amount		.letp0.aammod.addamtflg
							},
							cnftxt:"",			//  Confirmation text		.letp0.cnftxt
						},
						ledgrp:{
							rec:{
								ownref:"",			//  Reference		.ledgrp.rec.ownref
								nam:"",			//  Name		.ledgrp.rec.nam
								avbby:"",			//  Available by [AVBBY0]		.ledgrp.rec.avbby
								redclsflg:"",			//  Red/Green Clause		.ledgrp.rec.redclsflg
								opndat:"",			//  Date Issued		.ledgrp.rec.opndat
								shpdat:"",			//  Shipment Date		.ledgrp.rec.shpdat
								expdat:"",			//  Date/Place of Expiry		.ledgrp.rec.expdat
								expplc:"",			//  Date/Place of Expiry		.ledgrp.rec.expplc
								lcrtyp:"",			//  Form of L/C		.ledgrp.rec.lcrtyp
								revflg:"",			//  Revolving Flag		.ledgrp.rec.revflg
							},
							cbs:{
								nom1:{
									cur:"",			//  L/C Amount		.ledgrp.cbs.nom1.cur
									amt:"",			//  Balance		.ledgrp.cbs.nom1.amt
								},
								opn1:{
									cur:"",			//  Open Amount		.ledgrp.cbs.opn1.cur
									amt:"",			//  Balance		.ledgrp.cbs.opn1.amt
								},
							},
							apl:{
								pts:new Pts().data,
							},
							iss:{
								pts:new Pts().data,
							},
							ben:{
								pts:new Pts().data,
							},
							avbnam:"",			//  Available with		.ledgrp.avbnam
						},
						letcanf:{
							strinf:"",			//  Narrative		.letcanf.strinf
						},
						sndmsg:"",			//  Send Message		.sndmsg
						setmod:{
							docamttyplab:"",			//  settled amount description as label		.setmod.docamttyplab
							retmsg:"",			//  Label showing Retry overflow condition		.setmod.retmsg
							ref:"",			//  our reference		.setmod.ref
							doccur:"",			//  document currency		.setmod.doccur
							docamt:"",			//  document amount		.setmod.docamt
							dspflg:"",			//  Type of settlement		.setmod.dspflg
							xreflg:"",			//  Recalculate Rates		.setmod.xreflg
							setglg:{
								labdspflg:"",			//  Label for Type of Settlement		.setmod.setglg.labdspflg
							},
							zmqacclab:"",			//  主�'�号LABEL		.setmod.zmqacclab
							zmqacc:"",			//  自�'�区主�'�号		.setmod.zmqacc
						},
						mtabut:{
							coninf:{
								oitinf:{
									labinftxt:"",			//  Label for INFTXT		.mtabut.coninf.oitinf.labinftxt
									oit:{
										inftxt:"",			//  Infotext		.mtabut.coninf.oitinf.oit.inftxt
										inflev:"",			//  Infotext Level		.mtabut.coninf.oitinf.oit.inflev
									},
								},
								oitset:{
									labinftxt:"",			//  Label for INFTXT		.mtabut.coninf.oitset.labinftxt
									oit:{
										inftxt:"",			//  Infotext		.mtabut.coninf.oitset.oit.inftxt
										inflev:"",			//  Infotext Level		.mtabut.coninf.oitset.oit.inflev
									},
								},
								conexedat:"",			//  执行日期		.mtabut.coninf.conexedat
								usr:{
									extkey:"",			//  User ID		.mtabut.coninf.usr.extkey
								},
							},
						},
						trnmod:{
							trndoc:{
								advlabel:"",			//  ADVLABEL		.trnmod.trndoc.advlabel
								amdnam:"",			//  AMDNAM		.trnmod.trndoc.amdnam
								advdoc:"",			//  国内证通知书		.trnmod.trndoc.advdoc
								advnam:"",			//  国内证落款		.trnmod.trndoc.advnam
								amdapl:"",			//  修改申请人名称		.trnmod.trndoc.amdapl
								doclbl:"",			//  Lable for CONDOCSTM		.trnmod.trndoc.doclbl
								doctrestm:"",			//  Document tree		.trnmod.trndoc.doctrestm
								shwinc:"",			//  Show Incoming Messages		.trnmod.trndoc.shwinc
								shwout:"",			//  Show Outgoing Messages		.trnmod.trndoc.shwout
								condocstm:"",			//  Connected Documents		.trnmod.trndoc.condocstm
								rcvatt:{
									seainf:"",			//  		.trnmod.trndoc.rcvatt.seainf
								},
								filrecv:"",			//  File Receiver		.trnmod.trndoc.filrecv
							},
						},
						liaall:{
							limmod:{
								limpts:{
									wrklab:"",			//  Label		.liaall.limmod.limpts.wrklab
									othlab:"",			//  Label		.liaall.limmod.limpts.othlab
									othlabss:"",			//  Label		.liaall.limmod.limpts.othlabss
									wrk:{
										pts:new Pts().data,
									},
									oth:{
										pts:new Pts().data,
									},
									lsh:"",			//  合同流�'号		.liaall.limmod.limpts.lsh
									nonrevflg1:"",			//  Flag to Mark Non-revolving Limits		.liaall.limmod.limpts.nonrevflg1
									pfcod1:"",			//  合同流�'号		.liaall.limmod.limpts.pfcod1
									nonrevflg2:"",			//  Flag to Mark Non-revolving Limits		.liaall.limmod.limpts.nonrevflg2
									pfcod2:"",			//  合同流�'号		.liaall.limmod.limpts.pfcod2
								},
								wrkp:{
									ptsget:{
										sdamod:{
											dadsnd:"",			//  Drag  Drop Sender		.liaall.limmod.wrkp.ptsget.sdamod.dadsnd
											seainf:"",			//  		.liaall.limmod.wrkp.ptsget.sdamod.seainf
										},
									},
								},
								othp:{
									ptsget:{
										sdamod:{
											dadsnd:"",			//  Drag  Drop Sender		.liaall.limmod.othp.ptsget.sdamod.dadsnd
											seainf:"",			//  		.liaall.limmod.othp.ptsget.sdamod.seainf
										},
									},
								},
								ownref:"",			//  国结业务编号		.liaall.limmod.ownref
								comamt:"",			//  业务余额		.liaall.limmod.comamt
								ccvamt:"",			//  保证金余额		.liaall.limmod.ccvamt
								ecifno:"",			//  ECIFNO		.liaall.limmod.ecifno
							},
						},
						pageId: ""			// ctx的key
				}
    }
}