export const TaskFlagStatusMap = {
  '3': { // 未完成详情
    showStart: false,
    showSubmit: false,
    showCheck: false,
    showSave: false,
    showRefuse: false,
    showAccRefuse: false,
    showPass: false,
    showReSubmit: false,
    showReAcc: false,
    showCheckAcc: false,
    showEdit: false
  },
  '4': { // 已完成详情
    showStart: false,
    showSubmit: false,
    showCheck: false,
    showSave: false,
    showRefuse: false,
    showAccRefuse: false,
    showPass: false,
    showReSubmit: false,
    showReAcc: false,
    showCheckAcc: false,
    showEdit: false
  },
  '5': { // 草稿箱进入
    showStart: true,
    showSubmit: false,
    showCheck: true,
    showSave: true,
    showPass: false,
    showRefuse: false,
    showAccRefuse: false,
    showReSubmit: false,
    showReAcc: false,
    showCheckAcc: false,
    showEdit: false
  }
}

export const ProcessStatusMap = {
  '0': { // 受理中心经办
    showStart: false,
    showSubmit: true,
    showCheck: true,
    showSave: true,
    showPass: false,
    showRefuse: false,
    showAccRefuse: false,
    // showReSubmit: false,
    showReAcc: false,
    showCheckAcc: false,
    showEdit: true
  },
  '1': { // 复核
    showStart: false,
    showSubmit: false,
    showCheck: false,
    showSave: false,
    showPass: true,
    showRefuse: true,
    showAccRefuse: false,
    // showReSubmit: false,
    showReAcc: false,
    showCheckAcc: false,
    showEdit: false
  },
  '2': { // 单证中心经办
    showStart: false,
    showSubmit: true,
    showCheck: true,
    showSave: false,
    showPass: false,
    showRefuse: true,
    showAccRefuse: false,
    // showReSubmit: false,
    showReAcc: false,
    showCheckAcc: false,
    showEdit: true
  },
  '3': { // 受理中心经办 打回
    showStart: false,
    showSubmit: true,
    showCheck: true,
    showSave: false,
    showPass: false,
    showRefuse: false,
    showAccRefuse: false,
    // showReSubmit: false,
    showReAcc: false,
    showCheckAcc: false,
    showEdit: true
  },
  '4': { // 单证中心经办 打回
    showStart: false,
    showSubmit: true,
    showCheck: true,
    showSave: false,
    showPass: false,
    showRefuse: true,
    showAccRefuse: false,
    // showReSubmit: false,
    showReAcc: false,
    showCheckAcc: false,
    showEdit: true
  },
  '5': { // 人工确认
    showStart: false,
    showSubmit: false,
    showCheck: false,
    showSave: false,
    showPass: false,
    showRefuse: false,
    showAccRefuse: true,
    // showReSubmit: true,
    showReAcc: true,
    showCheckAcc: true,
    showEdit: false
  }
}

export const NoSaveList = [
  'public/refMessage/EleMessageReg'
]