
/**
* Infbcd Default规则
*/
import Api from "~/service/Api";
import Utils from "~/utils/index"

export default {
    "infcon.usr.extkey"                      :Utils.defaultFunction,
    "infcon.sptcor"                      :Utils.defaultFunction,
    "infcon.sptreg"                      :Utils.defaultFunction,
    "infcon.sptdel"                      :Utils.defaultFunction,
    "infcon.sptinc"                      :Utils.defaultFunction,
    "infcon.sptpen"                      :Utils.defaultFunction,
    "infcon.seapty"                      :Utils.defaultFunction,
    "infcon.pty.extkey"                      :Utils.defaultFunction,
    "bcdgrp.agt.pts.extkey"                      :Utils.defaultFunction,
    "trnmod.secmod"                      :Utils.defaultFunction,
    "trnmod.recbchnam"                      :Utils.defaultFunction,
    "bcdgrp.co2.pts.extkey"                      :Utils.defaultFunction,
    "bcdgrp.agt.adrelc"                      :Utils.defaultFunction,
    "bcdgrp.agt.namelc"                      :Utils.defaultFunction,
    "bcdgrp.agt.dbfadrblkcn"                      :Utils.defaultFunction,
    "infcon.smhdatfrom"                      :Utils.defaultFunction,
    "infcon.smhdir"                      :Utils.defaultFunction,
    "infcon.chktrn"                      :Utils.defaultFunction,
    "infcon.smhdatto"                      :Utils.defaultFunction,
    "infcon.smhcortyp"                      :Utils.defaultFunction,
    "bcdgrp.rec.doctypcod"                      :Utils.defaultFunction,
    "bcdgrp.rmi.pts.extkey"                      :Utils.defaultFunction,
    "bcdgrp.rmi.adrelc"                      :Utils.defaultFunction,
    "bcdgrp.rmi.namelc"                      :Utils.defaultFunction,
    "bcdgrp.rmi.dbfadrblkcn"                      :Utils.defaultFunction,
    "bcdgrp.agb.pts.adrblk"                      :Utils.defaultFunction,
    "bcdgrp.agb.pts.extkey"                      :Utils.defaultFunction,
    "bcdgrp.agb.adrelc"                      :Utils.defaultFunction,
    "bcdgrp.agb.namelc"                      :Utils.defaultFunction,
    "bcdgrp.agb.dbfadrblkcn"                      :Utils.defaultFunction,
    "bcdgrp.drr.pts.extkey"                      :Utils.defaultFunction,
    "bcdgrp.drr.adrelc"                      :Utils.defaultFunction,
    "bcdgrp.drr.namelc"                      :Utils.defaultFunction,
    "bcdgrp.drr.dbfadrblkcn"                      :Utils.defaultFunction,
    "bcdgrp.rec.predat"                      :Utils.defaultFunction,
    "bcdgrp.rec.focflg"                      :Utils.defaultFunction,
    "infbut.dspstm"                      :Utils.defaultFunction,
    "bcdgrp.rec.ownref"                      :Utils.defaultFunction,
    "bcdgrp.rec.rtodreflg"                      :Utils.defaultFunction,
    "bcdgrp.rmi.pts.adrblk"                      :Utils.defaultFunction,
    "recpan.usr.extkey"                      :Utils.defaultFunction,
    "bcdgrp.dre.pts.extkey"                      :Utils.defaultFunction,
    "bcdgrp.dre.adrelc"                      :Utils.defaultFunction,
    "bcdgrp.dre.namelc"                      :Utils.defaultFunction,
    "bcdgrp.dre.dbfadrblkcn"                      :Utils.defaultFunction,
    "bcdgrp.dre.pts.adrblk"                      :Utils.defaultFunction,
    "bcdgrp.rog.pts.extkey"                      :Utils.defaultFunction,
    "bcdgrp.rog.adrelc"                      :Utils.defaultFunction,
    "bcdgrp.rog.namelc"                      :Utils.defaultFunction,
    "bcdgrp.rog.dbfadrblkcn"                      :Utils.defaultFunction,
    "bcdgrp.rog.pts.adrblk"                      :Utils.defaultFunction,
    "trnmod.flg"                      :Utils.defaultFunction,
    "trnmod.commen"                      :Utils.defaultFunction,
    "trnmod.comsystbl"                      :Utils.defaultFunction,
    "mtabut.coninf.usr.extkey"                      :Utils.defaultFunction,
    "bcdgrp.co2.adrelc"                      :Utils.defaultFunction,
    "bcdgrp.co2.namelc"                      :Utils.defaultFunction,
    "bcdgrp.co2.dbfadrblkcn"                      :Utils.defaultFunction,
    "infcon.seatrninr"                      :Utils.defaultFunction,
    "infcon.seabucdatto"                      :Utils.defaultFunction,
    "infcon.seabucdatfro"                      :Utils.defaultFunction,
    "infcon.trnstm"                      :Utils.defaultFunction,
    "infcon.diasta"                      :Utils.defaultFunction,
    "infcon.diadatfrom"                      :Utils.defaultFunction,
    "infcon.diadatto"                      :Utils.defaultFunction,
    "bcdgrp.cbs.max.amt"                      :Utils.defaultFunction,
    "bcdgrp.rec.stacty"                      :Utils.defaultFunction,
    "bcdgrp.cbs.max.cur"                      :Utils.defaultFunction,
    "bcdgrp.co2.pts.adrblk"                      :Utils.defaultFunction,
    "bcdgrp.drr.pts.adrblk"                      :Utils.defaultFunction,
    "bcdgrp.agt.pts.adrblk"                      :Utils.defaultFunction,
    "trnmod.bustyp"                      :Utils.defaultFunction,
    "mtabut.coninf.oitinf.oit.inftxt"                      :Utils.defaultFunction,
    "mtabut.coninf.oitinf.oit.inflev"                      :Utils.defaultFunction,
    "mtabut.coninf.conexedat"                      :Utils.defaultFunction,
    "infcon.chksubcon"                      :Utils.defaultFunction,
    "infcon.chktrnsta"                      :Utils.defaultFunction,
    "infcon.cbctxt"                      :Utils.defaultFunction,
    "infcon.ordstm"                      :Utils.defaultFunction,
    "trnmod.pyebchnam"                      :Utils.defaultFunction,
    "mtabut.coninf.oitset.oit.inftxt"                      :Utils.defaultFunction,
    "mtabut.coninf.oitset.oit.inflev"                      :Utils.defaultFunction,
    "bcdgrp.blk.bcgdet"                      :Utils.defaultFunction,
    "bcdgrp.blk.bcgdetflg"                      :Utils.defaultFunction,
    "infbut.vermod.difsrm"                      :Utils.defaultFunction,
}
//你可以添加自动default处理
