import Utils from "~/utils"

/**
* Letrsv Check规则
*/
let checkObj = {
    "ledgrp.apb.pts.extkey"                      :null,
    "liaall.misamt"                      :null,
    "letp.rmbp.ptsget.sdamod.dadsnd"                      :null,
    "ledgrp.rec.opndat"                      :null,
    "ledgrp.adv.namelc"                      :null,
    "ledgrp.rmb.pts.extkey"                      :null,
    "letp.avbp.ptsget.sdamod.dadsnd"                      :null,
    "ledgrp.iss.pts.adrblk"                      :null,
    "ledgrp.avb.adrelc"                      :null,
    "ledgrp.rec.tenmaxday"                      :null,
    "ledgrp.blk.mixdet"                      :null,
    "ledgrp.avb.pts.extkey"                      :null,
    "ledgrp.drw.adrelc"                      :null,
    "ledgrp.ben.pts.extkey"                      :null,
    "setmod.dspflg"                      :null,
    "letp.usr.extkey"                      :null,
    "ledgrp.rec.nomspc"                      :null,
    "ledgrp.a2b.namelc"                      :null,
    "ledgrp.rec.revtyp"                      :null,
    "ledgrp.rec.avbby"                      :null,
    "ledgrp.rec.prepers18"                      :null,
    "ledgrp.iss.adrelc"                      :null,
    "ledgrp.apb.namelc"                      :null,
    "ledgrp.apl.namelc"                      :null,
    "ledgrp.cbs.max2.amt"                      :null,
    "ledgrp.rec.stacty"                      :null,
    "ledgrp.blk.lcrdoc"                      :null,
    "letp.apbp.ptsget.sdamod.dadsnd"                      :null,
    "ledgrp.blk.dftat"                      :null,
    "ledgrp.blk.insbnk"                      :null,
    "ledgrp.iss.pts.extkey"                      :null,
    "ledgrp.blk.adlcnd"                      :null,
    "ledgrp.rec.expplc"                      :null,
    "ledgrp.a2b.pts.extkey"                      :null,
    "ledgrp.iss.pts.ref"                      :null,
    "ledgrp.apl.pts.adrblk"                      :null,
    "ledgrp.rmb.adrelc"                      :null,
    "ledgrp.drw.pts.adrblk"                      :null,
    "ledgrp.blk.spcben"                      :null,
    "ledgrp.a2b.pts.adrblk"                      :null,
    "letp.conp.ptsget.sdamod.dadsnd"                      :null,
    "letp.issp.ptsget.sdamod.dadsnd"                      :null,
    "ledgrp.rec.revdat"                      :null,
    "ledgrp.blk.spcrcb"                      :null,
    "ledgrp.blk.preper"                      :null,
    "ledgrp.adv.adrelc"                      :null,
    "ledgrp.ben.adrelc"                      :null,
    "ledgrp.adv.pts.extkey"                      :null,
    "ledgrp.rmb.pts.adrblk"                      :null,
    "ledgrp.blk.lcrgod"                      :null,
    "ledgrp.a2b.adrelc"                      :null,
    "ledgrp.avb.namelc"                      :null,
    "ledgrp.avb.pts.adrblk"                      :null,
    "ledgrp.apb.pts.adrblk"                      :null,
    "ledgrp.cbs.nom1.cur"                      :null,
    "letp.a2bp.ptsget.sdamod.dadsnd"                      :null,
    "ledgrp.con.pts.nam"                      :null,
    "ledgrp.rec.nomtop"                      :null,
    "ledgrp.rec.nomton"                      :null,
    "ledgrp.rec.avbwth"                      :null,
    "letp.drwp.ptsget.sdamod.dadsnd"                      :null,
    "ledgrp.rec.ownref"                      :null,
    "ledgrp.rmb.namelc"                      :null,
    "ledgrp.blk.feetxt"                      :null,
    "ledgrp.blk.revcls"                      :null,
    "ledgrp.adv.pts.adrblk"                      :null,
    "ledgrp.cbs.nom1.amt"                      :null,
    "ledgrp.blk.defdet"                      :null,
    "ledgrp.rec.expdat"                      :null,
    "letp.benp.ptsget.sdamod.dadsnd"                      :null,
    "ledgrp.rec.lcrtyp"                      :null,
    "mtabut.coninf.conexedat"                      :null,
    "ledgrp.rec.apprul"                      :null,
    "ledgrp.apl.adrelc"                      :null,
    "ledgrp.iss.namelc"                      :null,
    "letp.advp.ptsget.sdamod.dadsnd"                      :null,
    "ledgrp.drw.pts.extkey"                      :null,
    "ledgrp.ben.namelc"                      :null,
    "letp.recget.sdamod.dadsnd"                      :null,
    "ledgrp.rec.preadvdt"                      :null,
    "ledgrp.ben.pts.adrblk"                      :null,
    "ledgrp.blk.addamtcov"                      :null,
    "setmod.docamt"                      :null,
    "ledgrp.apb.adrelc"                      :null,
    "ledgrp.drw.namelc"                      :null,
    "ledgrp.apl.pts.extkey"                      :null,
    "letp.aplp.ptsget.sdamod.dadsnd"                      :null,
    "ledgrp.con.pts.extkey"                      :null,
    "ledgrp.rec.cnfdet"                      :null,
    "ledgrp.rec.apprultxt"                      :null,
}

for (const key in checkObj) {
    if (Object.hasOwnProperty.call(checkObj, key)) {
        checkObj[key] = checkObj[key] ? checkObj[key] : Utils.reflectCheck(key)
    }
}
export default checkObj

